import { Pipe, PipeTransform } from '@angular/core';
import { Requirement, ContentType } from '../models/audit/requirement';

@Pipe({ name: 'requirementTitle', pure: true })
export class RequirementTitlePipe implements PipeTransform {
  transform(requirement: Requirement): string[] {
    const title = requirement.requirementContents.find(
      (r): r is ContentType =>
        r.contentType === 'okRequirementTitle' ||
        r.contentType === 'hText' ||
        r.contentType === 'noRequirementTitle',
    );
    return title ? title.lines : ['No title found'];
  }
}
